mapZones {oce} | R Documentation

## Add Zones to a Map [deprecated]

### Description

WARNING: This function will be removed soon; see oce-deprecated.

### Usage

    mapZones(longitude, polarCircle = 0, lty = "solid", lwd = 0.5 *
      par("lwd"), col = "darkgray", ...)

### Arguments

`longitude` | either a logical indicating whether to draw a zonal grid, or a vector of longitudes at which to draw zones.
`polarCircle` | a number indicating the number of degrees of latitude extending from the poles, within which zones are not drawn.
`lty` | line type.
`lwd` | line width.
`col` | line colour.
`...` | optional arguments passed to `lines`.

### Details

Use `mapGrid` instead of the present function.

Plot zones (lines of constant longitude) on a existing map.

Zones that will not fit in the plotting space are ignored.

### Bugs

This should use `approx` to fill in multiple segments within the line, so that e.g. great circle lines will be curved.

### Author(s)

Dan Kelley

### See Also

A map must first have been created with `mapPlot`.

Other functions that will be removed soon: `addColumn`, `ctdAddColumn`, `ctdUpdateHeader`, `mapMeridians`

### Examples

    ## Not run:
    library(oce)
    data(coastlineWorld)
    longitude <- coastlineWorld[['longitude']]
    latitude <- coastlineWorld[['latitude']]
    mapPlot(longitude, latitude, type='l', grid=FALSE,
    longitudelim=c(-80,10), latitudelim=c(0,120),
    projection="orthographic", orientation=c(45,-100,0))
    mapZones()

    ## End(Not run)

[Package oce version 0.9-20 Index]